kr.co.hanwha.hifive.data.source

## Class AlarmDataRepository

- java.lang.Object
- - kr.co.hanwha.hifive.data.source.AlarmDataRepository

- All Implemented Interfaces:
    BaseDataSource, AlarmDataSource

      public class AlarmDataRepository
      extends java.lang.Object
      implements AlarmDataSource

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static AlarmDataRepository` | `sInstance`
    `private static java.util.ArrayList<AlarmData>` | `sListAlarm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlarmDataRepository()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear data
    `static void` | `destroyInstance()`
    `void` | `getAlarmList(android.content.Context context, int page, HanwhaNetworkCallback<AlarmListRoot> callback)` 알람 목록 조회
    `static AlarmDataRepository` | `getInstance()`
    `void` | `requestNotificationOpen(android.content.Context context, AlarmData data, HanwhaNetworkCallback callback)` 알림 확인
    `void` | `requestNotificationOpen(android.content.Context context, int group_id, int task_id, int project_id, int track_id, HanwhaNetworkCallback callback)` 알림 확인

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sListAlarm

          private static java.util.ArrayList<AlarmData> sListAlarm

    - #### sInstance

          private static AlarmDataRepository sInstance

  - ### Constructor Detail

    - #### AlarmDataRepository

          public AlarmDataRepository()

  - ### Method Detail

    - #### getInstance

          public static AlarmDataRepository getInstance()

    - #### destroyInstance

          public static void destroyInstance()

    - #### clearData

          public void clearData()

      Description copied from interface: `BaseDataSource`
      Clear data
      Specified by:
        `clearData` in interface `BaseDataSource`

    - #### getAlarmList

          public void getAlarmList(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   int page,
                                   @NonNull
                                   HanwhaNetworkCallback<AlarmListRoot> callback)

      Description copied from interface: `AlarmDataSource`
      알람 목록 조회
      Specified by:
        `getAlarmList` in interface `AlarmDataSource`
      Parameters:
        `context` - Context
        `page` - PAGE
        `callback` - 콜백

    - #### requestNotificationOpen

          public void requestNotificationOpen(@NonNull
                                              android.content.Context context,
                                              @NonNull
                                              AlarmData data,
                                              @Nullable
                                              HanwhaNetworkCallback callback)

      Description copied from interface: `AlarmDataSource`
      알림 확인
      Specified by:
        `requestNotificationOpen` in interface `AlarmDataSource`
      Parameters:
        `context` - Context
        `data` - 알림 정보
        `callback` - 콜백

    - #### requestNotificationOpen

          public void requestNotificationOpen(@NonNull
                                              android.content.Context context,
                                              @Nullable
                                              int group_id,
                                              @Nullable
                                              int task_id,
                                              @Nullable
                                              int project_id,
                                              @Nullable
                                              int track_id,
                                              @Nullable
                                              HanwhaNetworkCallback callback)

      Description copied from interface: `AlarmDataSource`
      알림 확인
      Specified by:
        `requestNotificationOpen` in interface `AlarmDataSource`
      Parameters:
        `context` - Context
        `group_id` - 노티 그룹 아이디
        `task_id` - Task ID (Optional)
        `project_id` - Project ID (Optional)
        `track_id` - Track ID (Optional)
        `callback` - 콜백